<?xml version="1.0" encoding="utf-8"?>
<Roots xmlns="clr-namespace:Microsoft.Xaml.Tools.XamlCompiler.RootLog;assembly=Microsoft.Windows.UI.Xaml.81.Build.Tasks">
  <Roots.RootTypes>
    <RootType FullName="Windows.UI.Xaml.ResourceDictionary">
      <RootProperty Name="ThemeDictionaries" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.ControlTemplate">
      <RootProperty Name="TargetType" />
      <RootProperty Name="Template" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.Border">
      <RootProperty Name="BorderBrush" />
      <RootProperty Name="BorderThickness" />
      <RootProperty Name="Child" />
    </RootType>
    <RootType FullName="Microsoft.Xaml.Tools.DirectUI.ProxyTypes.TemplateBindingExtension" />
    <RootType FullName="Windows.UI.Xaml.Controls.Grid">
      <RootProperty Name="RowDefinitions" />
      <RootProperty Name="ColumnDefinitions" />
      <RootProperty Name="Children" />
      <RootMethod Name="GetRow" />
      <RootMethod Name="SetRow" />
      <RootMethod Name="GetColumn" />
      <RootMethod Name="SetColumn" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.RowDefinition">
      <RootProperty Name="Height" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.ColumnDefinition">
      <RootProperty Name="Width" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.Primitives.ScrollBar">
      <RootProperty Name="Orientation" />
      <RootProperty Name="IndicatorMode" />
      <RootProperty Name="Visibility" />
    </RootType>
    <RootType FullName="FooEditEngine.Metro.FooTextBox">
      <RootProperty Name="Foreground" />
      <RootProperty Name="InsertCaret" />
      <RootProperty Name="OverwriteCaret" />
      <RootProperty Name="Background" />
      <RootProperty Name="LineMarker" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.FrameworkElement">
      <RootProperty Name="MinWidth" />
      <RootProperty Name="MinHeight" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.Control">
      <RootProperty Name="Template" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Setter">
      <RootProperty Name="Property" />
      <RootProperty Name="Value" />
    </RootType>
    <RootType FullName="Microsoft.Xaml.Tools.DirectUI.ProxyTypes.StaticResourceExtension" />
  </Roots.RootTypes>
</Roots>
